com.sun.java.xml.ns.javaee

## Class TaglibType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.TaglibType

-     public class TaglibType
      extends Object

  The taglibType defines the syntax for declaring in the deployment descriptor that a tag library is available to the application. This can be done to override implicit map entries from TLD files and from the container.

  Java-Klasse für taglibType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="taglibType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="taglib-uri" type="{http://java.sun.com/xml/ns/javaee}string"/>
               <element name="taglib-location" type="{http://java.sun.com/xml/ns/javaee}pathType"/>
             </sequence>
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `id`
    `protected PathType` | `taglibLocation`
    `protected String` | `taglibUri`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaglibType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` Ruft den Wert der id-Eigenschaft ab.
    `PathType` | `getTaglibLocation()` Ruft den Wert der taglibLocation-Eigenschaft ab.
    `String` | `getTaglibUri()` Ruft den Wert der taglibUri-Eigenschaft ab.
    `void` | `setId(String value)` Legt den Wert der id-Eigenschaft fest.
    `void` | `setTaglibLocation(PathType value)` Legt den Wert der taglibLocation-Eigenschaft fest.
    `void` | `setTaglibUri(String value)` Legt den Wert der taglibUri-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### taglibUri

          protected String taglibUri

    - #### taglibLocation

          protected PathType taglibLocation

    - #### id

          protected String id

  - ### Constructor Detail

    - #### TaglibType

          public TaglibType()

  - ### Method Detail

    - #### getTaglibUri

          public String getTaglibUri()

      Ruft den Wert der taglibUri-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setTaglibUri

          public void setTaglibUri(String value)

      Legt den Wert der taglibUri-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getTaglibLocation

          public PathType getTaglibLocation()

      Ruft den Wert der taglibLocation-Eigenschaft ab.
      Returns:
        possible object is `PathType`

    - #### setTaglibLocation

          public void setTaglibLocation(PathType value)

      Legt den Wert der taglibLocation-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `PathType`

    - #### getId

          public String getId()

      Ruft den Wert der id-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Legt den Wert der id-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.